/******************************************************************************
 *
 * Project:  WindNinja
 * Purpose:  Test gdal util functions
 * Author:   Kyle Shannon <kyle at pobox dot com>
 *
 ******************************************************************************
 *
 * THIS SOFTWARE WAS DEVELOPED AT THE ROCKY MOUNTAIN RESEARCH STATION (RMRS)
 * MISSOULA FIRE SCIENCES LABORATORY BY EMPLOYEES OF THE FEDERAL GOVERNMENT
 * IN THE COURSE OF THEIR OFFICIAL DUTIES. PURSUANT TO TITLE 17 SECTION 105
 * OF THE UNITED STATES CODE, THIS SOFTWARE IS NOT SUBJECT TO COPYRIGHT
 * PROTECTION AND IS IN THE PUBLIC DOMAIN. RMRS MISSOULA FIRE SCIENCES
 * LABORATORY ASSUMES NO RESPONSIBILITY WHATSOEVER FOR ITS USE BY OTHER
 * PARTIES,  AND MAKES NO GUARANTEES, EXPRESSED OR IMPLIED, ABOUT ITS QUALITY,
 * RELIABILITY, OR ANY OTHER CHARACTERISTIC.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 *****************************************************************************/


#include <boost/test/unit_test.hpp>

#include "ninja_conv.h"
#include "gdal_util.h"

BOOST_AUTO_TEST_SUITE(gdal_util)

BOOST_AUTO_TEST_CASE(center) {
  GDALAllRegister();
  int rc = 0;
  std::string mackay = FindDataPath("mackay.tif");
  GDALDatasetH hDS = GDALOpen(mackay.c_str(), GA_ReadOnly);
  BOOST_REQUIRE(hDS);
  double x, y;
  rc = GDALGetCenter((GDALDataset*)hDS, &x, &y);
  BOOST_REQUIRE(rc);
  BOOST_REQUIRE(fabs(x - -113.606278412722) < 0.01);
  BOOST_REQUIRE(fabs(y- 43.90415680656) < 0.01);
  GDALClose(hDS);
}

BOOST_AUTO_TEST_SUITE_END()
